<div class="contentpanel">
	<div class="row row-stat">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-heading">
					<div class="panel-btns">
						<a href="#" class="panel-minimize tooltips" data-toggle="tooltip" title="Minimize Panel"><i class="fa fa-minus"></i></a>
						<a href="#" class="panel-close tooltips" data-toggle="tooltip" title="Close Panel"><i class="fa fa-times"></i></a>
					</div>
					<h4 class="panel-title"><?php echo $ver_cpanel_sub_menu['titulo']; ?></h4>
					<p><?php echo $ver_cpanel_sub_menu['descripcion']; ?>.</p>
				</div>
				<div class="panel-body nopadding">
					<div class="col-md-12">
						<div class="table-responsive"><br>
							<div id="historial">
								<div class="contentpanel">
						
								
		 <?php 
	//include 'aut_config.inc.php'; 
	/*
	//LIMPIAR
	mysql_query("update tabla_factura_detalle_fact_xls set eliminar='1'   ",$link);
	$limpiar_facturas=mysql_query("select * from tabla_factura_xls where eliminar='0'  ORDER BY id ASC ",$link);
	while($ver_limpiar_facturas=mysql_fetch_array($limpiar_facturas)){
		$token=$ver_limpiar_facturas['token']; 
		$cod_p_detallex=mysql_query("select * from tabla_factura_detalle_fact_xls where token='$token'  ",$link);
		$ver_cod_p_detallex=mysql_fetch_array($cod_p_detallex);
		$id_controlx=$ver_cod_p_detallex['id'];
		if($id_controlx!=''){
			mysql_query("update tabla_factura_detalle_fact_xls set eliminar='0'  where  token='$token' ",$link);
		}
	}
	
	*/
	
	
	/*
	
	//PRIMERO RECORRO TODOS LOS CLIENTES
	mysql_query("TRUNCATE TABLE tabla_analisis_anticipo_fact_cliente ",$link);
	$clientes_xls=mysql_query("select * from tabla_clintes_xls where eliminar='0' ORDER BY id ASC ",$link);
	while($ver_clientes_xls=mysql_fetch_array($clientes_xls)){
	$cod_cliente=$ver_clientes_xls['id'];	
	//echo $cod_cliente.'<br>';
		//VERIFICAR LOS PAGOS
		$pagos_clientes_anticipos=mysql_query("select SUM(monto_dolar),eliminar,tipo_banco,cod_cliente,estatus from tabla_anticipo_xls where eliminar='0' and cod_cliente='$cod_cliente'  ORDER BY id DESC ",$link);
		$ver_pagos_clientes_anticipos=mysql_fetch_array($pagos_clientes_anticipos);
		$total_anticipox=$ver_pagos_clientes_anticipos['SUM(monto_dolar)'];
		if($total_anticipox==''){
			$total_anticipox='0.00';
		}
			$consultar_sql_ver_saldo=mysql_query("select * from  tabla_saldos_clientes_xls where cod_cliente='$cod_cliente' ",$link);
			$ver_consultar_sql_ver_saldo_ver=mysql_fetch_array($consultar_sql_ver_saldo);			
			$saldo_cliente=$ver_consultar_sql_ver_saldo_ver['saldo_inicial'];
			$total_anticipo=$total_anticipox+$saldo_cliente;
			
			//RECORRER LAS FACTURAS
			$facturas_clientes=mysql_query("select SUM(monto_dolares),cod_cliente,eliminar,pagada from tabla_factura_xls where eliminar='0' and cod_cliente='$cod_cliente'  ORDER BY id ASC ",$link);
			$ver_facturas_clientes=mysql_fetch_array($facturas_clientes);
			$total_factura=$ver_facturas_clientes['SUM(monto_dolares)'];
			if($total_factura==''){
				$total_factura='0.00';
			}
		
			$saldo_real=($total_anticipo)-$total_factura;
			mysql_query("INSERT INTO tabla_analisis_anticipo_fact_cliente (cod_cliente,monto_anticipo_dolares,monto_factura_dolares,saldo_real,saldo_lineal,saldo_inicial) VALUES ('".$cod_cliente."','".$total_anticipox."','".$total_factura."','".$saldo_real."','".$total_anticipo."','".$saldo_cliente."')",$link);
						
			$facturas_clientes_xls=mysql_query("select * from tabla_factura_xls where eliminar='0' and cod_cliente='$cod_cliente' ORDER BY id ASC ",$link);
			while($ver_facturas_clientes_xls=mysql_fetch_array($facturas_clientes_xls))
			{
				$cod_cliente_fact=$ver_facturas_clientes_xls['cod_cliente'];
				$monto_factura=$ver_facturas_clientes_xls['monto_dolares'];
				$id_control_fact=$ver_facturas_clientes_xls['id'];
				
					$consulta_analisis=mysql_query("select * from tabla_analisis_anticipo_fact_cliente where cod_cliente='$cod_cliente_fact' ",$link);
					$ver_consulta_analisis=mysql_fetch_array($consulta_analisis);
					$saldo_lineal=$ver_consulta_analisis['saldo_lineal'];
					if($saldo_lineal>=$monto_factura){
						$token=$ver_facturas_clientes_xls['token'];	
							
						$resta_analisis=$saldo_lineal-$monto_factura;
						$limpiar_resultado_analisis=$resta_analisis;
						if($limpiar_resultado_analisis<='1')
							{
								$limpiar_resultado_analisis='0.00';
							}
							
							$n_factura=$ver_facturas_clientes_xls['n_factura'].'<br>';	
							mysql_query("update tabla_analisis_anticipo_fact_cliente set saldo_lineal='$limpiar_resultado_analisis'  where  cod_cliente='$cod_cliente_fact' ",$link);
							mysql_query("update tabla_factura_xls set pagada='1' where cod_cliente='$cod_cliente_fact' and token='$token' ",$link);
							mysql_query("update tabla_anticipo_xls set estatus='1' where  cod_cliente='$cod_cliente_fact' ",$link);
							
							$consulta_analisisx=mysql_query("select * from tabla_factura_detalle_fact_xls where token='$token' and eliminar='0' ",$link);
							while($ver_consulta_analisisx=mysql_fetch_array($consulta_analisisx)){
								$saldo_abono=$ver_consulta_analisisx['total_factura_dolares'];
								$resta=$ver_consulta_analisisx['total_factura_dolares']-$saldo_abono;
								$restax=round($resta, 2);
								mysql_query("update tabla_factura_detalle_fact_xls set pagada='1',abono='".$saldo_abono."',resta='".$restax."'  where  cod_cliente='$cod_cliente_fact' and token='$token' ",$link);
							}
							//break;
					} else {
						$facturas_clientes_xlsx1=mysql_query("select * from tabla_factura_xls where eliminar='0' and cod_cliente='$cod_cliente' and pagada='0' ORDER BY id ASC ",$link);
						$ver_facturas_clientes_xlsx1=mysql_fetch_array($facturas_clientes_xlsx1);
						$validar_token=$ver_facturas_clientes_xlsx1['token'];
						$contar_intes=mysql_query("select * from tabla_factura_detalle_fact_xls where token='$validar_token' and eliminar='0' ",$link);
						$ver_contar_intes=mysql_num_rows($contar_intes);
						$cantiadad_contador=$ver_contar_intes;
							$consulta_analisisxx=mysql_query("select * from tabla_factura_detalle_fact_xls where token='$validar_token' and eliminar='0' ",$link);
							while($ver_consulta_analisisxx=mysql_fetch_array($consulta_analisisxx)){
								$cod_producto=$ver_consulta_analisisxx['cod_producto'];
									$cod_p_detalle=mysql_query("select * from tabla_factura_detalle_fact_xls where token='$validar_token' and cod_producto='".$cod_producto."' and eliminar='0' ",$link);
									$ver_cod_p_detalle=mysql_fetch_array($cod_p_detalle);
										$saldo_abono=$saldo_lineal/$cantiadad_contador;
										$saldo_abonox=round($saldo_abono, 2);
										$resta=$ver_cod_p_detalle['total_factura_dolares']-$saldo_abono;
										$restax=round($resta, 2);
										if($restax<=0){
											$restax='0';
										}
										mysql_query("update tabla_factura_detalle_fact_xls set pagada='2',abono='".$saldo_abonox."',resta='".$restax."'  where  cod_cliente='$cod_cliente_fact' and token='$validar_token' and cod_producto='".$cod_producto."' ",$link);
							}
					}
					
			}
	}
	*/							

?>			
									<div class="col-md-12 mb30">
                                        <h5 class="lg-title mb10">Cuadro de ventas de facturas pagadas del mes <b> AGOSTO</b>.</h5>
                                  	
							<table class="table table-striped table-bordered responsive">
                                <thead class="">
                                    <tr>
                                        <th>COD</th>
                                        <th>RUBRO</th>
                                        <th>KLG POR PAGADOS</th>
                                        <th>VENTAS $ COBRADAS</th>
                                    </tr>
                                </thead>
								
                                <tbody>
<?php 
$consulta_marca=mysql_query("select * from tabla_marca where eliminar='0' ",$link);
while($ver_consulta_marca=mysql_fetch_array($consulta_marca)){		
$cod_marca=$ver_consulta_marca['id'];
		$analsis_venta_cxc_abono=mysql_query("select cod_marca,SUM(cantidad),SUM(abono),eliminar,mes,ano from tabla_factura_detalle_fact_xls where cod_marca='$cod_marca' and eliminar='0' and pagada='2' and mes='08' and ano='2025' GROUP BY cod_marca ",$link);
		$ver_analsis_venta_cxc_abono=mysql_fetch_array($analsis_venta_cxc_abono);
		$total_cantidad_abono=$ver_analsis_venta_cxc_abono['SUM(cantidad)'];
		$total_resta_abono=$ver_analsis_venta_cxc_abono['SUM(abono)'];
		
		$analsis_venta_cxc_n_pafada=mysql_query("select cod_marca,SUM(cantidad),SUM(total_factura_dolares),eliminar,mes,ano from tabla_factura_detalle_fact_xls where cod_marca='$cod_marca' and eliminar='0' and pagada='1' and mes='08' and ano='2025' GROUP BY cod_marca ",$link);
		$ver_analsis_venta_cxc_n_pafada=mysql_fetch_array($analsis_venta_cxc_n_pafada);	

		
		$total_npagada_cantidad=$ver_analsis_venta_cxc_n_pafada['SUM(cantidad)'];
		$total_npagada_venta=$ver_analsis_venta_cxc_n_pafada['SUM(total_factura_dolares)'];
		$total_cantidad=$total_cantidad_abono+$total_npagada_cantidad;
		$total_venta=$total_resta_abono+$total_npagada_venta;

?>								
									<tr>
										<td><b><?php echo $ver_consulta_marca['id']; ?></b></td>
										<td><b><?php echo $ver_consulta_marca['nombre']; ?></b></td>
										<td style="text-align: right;"><b><?php echo  number_format($total_cantidad, 2, ',','.'); ?></b></td>
										<td style="text-align: right;"><b><?php echo  number_format($total_venta, 2, ',','.'); ?></b></td>
									</tr>
						
<?php } ?>									
                                </tbody>
                            </table> 
  </div>	

<div class="col-md-12 mb30">
                                        <h5 class="lg-title mb10">Cuadro de ventas por cobrar segun el rubro.</h5>
                                  	
							<table class="table table-striped table-bordered responsive">
                                <thead class="">
                                    <tr>
                                        <th>COD</th>
                                        <th>RUBRO</th>
                                        <th>KLG POR COBRAR</th>
                                        <th>VENTAS $ POR COBRAR</th>
                                    </tr>
                                </thead>
								
                                <tbody>
<?php 
$consulta_marca=mysql_query("select * from tabla_marca where eliminar='0' ",$link);
while($ver_consulta_marca=mysql_fetch_array($consulta_marca)){		
$cod_marca=$ver_consulta_marca['id'];
		$analsis_venta_cxc_abono=mysql_query("select cod_marca,SUM(cantidad),SUM(resta),eliminar,mes,ano from tabla_factura_detalle_fact_xls where cod_marca='$cod_marca' and eliminar='0' and pagada='2' and mes='08' and ano='2025' GROUP BY cod_marca ",$link);
		$ver_analsis_venta_cxc_abono=mysql_fetch_array($analsis_venta_cxc_abono);
		$total_cantidad_abono=$ver_analsis_venta_cxc_abono['SUM(cantidad)'];
		$total_resta_abono=$ver_analsis_venta_cxc_abono['SUM(resta)'];
		$analsis_venta_cxc_n_pafada=mysql_query("select cod_marca,SUM(cantidad),SUM(total_factura_dolares),eliminar,mes,ano from tabla_factura_detalle_fact_xls where cod_marca='$cod_marca' and eliminar='0' and pagada='0' and mes='08' and ano='2025' GROUP BY cod_marca ",$link);
		$ver_analsis_venta_cxc_n_pafada=mysql_fetch_array($analsis_venta_cxc_n_pafada);	
		$total_npagada_cantidad=$ver_analsis_venta_cxc_n_pafada['SUM(cantidad)'];
		$total_npagada_venta=$ver_analsis_venta_cxc_n_pafada['SUM(total_factura_dolares)'];
		$total_cantidad=$total_cantidad_abono+$total_npagada_cantidad;
		$total_venta=$total_resta_abono+$total_npagada_venta;

?>								
									<tr>
										<td><b><?php echo $ver_consulta_marca['id']; ?></b></td>
										<td><b><?php echo $ver_consulta_marca['nombre']; ?></b></td>
										<td style="text-align: right;"><b><?php echo  number_format($total_cantidad, 2, ',','.'); ?></b></td>
										<td style="text-align: right;"><b><?php echo  number_format($total_venta, 2, ',','.'); ?></b></td>
									</tr>				
<?php } ?>									
                                </tbody>
                            </table> 
  </div>  
  
 <div class="col-md-12 mb30">
                                        <h5 class="lg-title mb10">Facturado segun el rubro.</h5>
                                  	
							<table class="table table-striped table-bordered responsive">
                                <thead class="">
                                    <tr>
                                        <th>COD</th>
                                        <th>RUBRO</th>
                                        <th>KLG POR FACTURADO</th>
                                        <th>VENTAS $ FACTURADO</th>
                                    </tr>
                                </thead>
								
                                <tbody>
<?php 
$consulta_marcax1=mysql_query("select * from tabla_marca where eliminar='0' ",$link);
while($ver_consulta_marcax1=mysql_fetch_array($consulta_marcax1)){		
$cod_marcax=$ver_consulta_marcax1['id'];

		$analsis_venta_cxc_n_pafadax1=mysql_query("select cod_marca,SUM(cantidad),SUM(total_factura_dolares),eliminar,mes,ano from tabla_factura_detalle_fact_xls where cod_marca='$cod_marcax'  and mes='08' and ano='2025' and eliminar='0' GROUP BY cod_marca ",$link);
		$ver_analsis_venta_cxc_n_pafadax1=mysql_fetch_array($analsis_venta_cxc_n_pafadax1);	
		$total_npagada_cantidadx1=$ver_analsis_venta_cxc_n_pafadax1['SUM(cantidad)'];
		$total_npagada_ventax1=$ver_analsis_venta_cxc_n_pafadax1['SUM(total_factura_dolares)'];
		$total_cantidadx1=$total_npagada_cantidadx1;
		$total_ventax1=$total_npagada_ventax1;

?>								
									<tr>
										<td><b><?php echo $ver_consulta_marcax1['id']; ?></b></td>
										<td><b><?php echo $ver_consulta_marcax1['nombre']; ?></b></td>
										<td style="text-align: right;"><b><?php echo  number_format($total_cantidadx1, 2, ',','.'); ?></b></td>
										<td style="text-align: right;"><b><?php echo  number_format($total_ventax1, 2, ',','.'); ?></b></td>
									</tr>				
<?php } ?>									
                                </tbody>
                            </table> 
  </div> 
							</div>								
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>